Bug 678909 - gnome-disk-utility drags Nautilus onto non-GNOME images
Summary: gnome-disk-utility drags Nautilus onto non-GNOME images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain F15Blocker-kde F15Target-xfce
TreeView+ depends on / blocked
 
Reported: 2011-02-20 18:07 UTC by Kevin Kofler
Modified: 2015-03-03 22:58 UTC (History)
8 users (show)

Fixed In Version: gnome-disk-utility-2.91.6-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-05 02:48:12 UTC


Attachments (Terms of Use)
gnome-disk-utility specfile patch (1.91 KB, patch)
2011-02-22 17:47 UTC, Tomáš Bžatek
no flags Details | Diff
comps patch (1.76 KB, patch)
2011-02-22 17:49 UTC, Tomáš Bžatek
no flags Details | Diff

Description Kevin Kofler 2011-02-20 18:07:18 UTC
Description of problem:
Due to a recent comps-f15 change, gnome-disk-utility is now installed by default (as part of @admin-tools) on non-GNOME desktop live images. Unfortunately, the package includes a Nautilus extension, "libnautilus-gdu.so", which requires nautilus-extensions, and through it nautilus and several other GNOME packages.

Can you please move the Nautilus extension to a subpackage?

Version-Release number of selected component (if applicable):
gnome-disk-utility-2.91.6-3.fc15

How reproducible:
Always

Steps to Reproduce:
1. Check the package list of e.g. the KDE spin.
  
Actual results:
Nautilus gets dragged in.

Expected results:
Nautilus does not get dragged in.

Additional info:
In the KDE spin in particular, we would like to use the space to ship more KDE software instead. Nautilus is really not useful on the KDE spin, obviously.

If this is not fixed by Beta, it is likely (pending KDE-SIG-internal discussion) that we will be forced to omit gnome-disk-utility from the spin altogether.

Comment 1 Tomáš Bžatek 2011-02-21 12:50:30 UTC
OK, I think we can separate the nautilus extension quite painlessly. But then, we might want to add it in comps anyway to have it a standard tool available in Gnome.

Comment 2 Kevin Kofler 2011-02-21 14:11:17 UTC
I think we want the Nautilus extension in @gnome-desktop in comps (where gnome-disk-utility is also listed), but not in @admin-tools which should be (somewhat) desktop-independent.

Comment 3 Tomáš Bžatek 2011-02-22 17:47:19 UTC
Created attachment 480189 [details]
gnome-disk-utility specfile patch

Comment 4 Tomáš Bžatek 2011-02-22 17:49:53 UTC
Created attachment 480190 [details]
comps patch

(In reply to comment #2)
> I think we want the Nautilus extension in @gnome-desktop in comps (where
> gnome-disk-utility is also listed), but not in @admin-tools which should be
> (somewhat) desktop-independent.
There was a reason probably to include gnome-disk-utility (Palimpsest) in the 'admin-tools' group. See commit f2cb3971ffb2a53b9f0fdc536cdcc4f9c3a87876.

Anyway, with the updated spec file, Nautilus should no longer be pulled in. This patch only adds the nautilus extension to a place where it belongs.

Comment 5 Kevin Kofler 2011-02-22 18:21:50 UTC
Thanks, looks good. Can you please commit/push this to git and submit an update (freeze override) for F15 in Bodhi?

Comment 6 Fedora Update System 2011-02-23 11:24:51 UTC
gnome-disk-utility-2.91.6-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-disk-utility-2.91.6-4.fc15

Comment 7 Tomáš Bžatek 2011-02-23 12:44:05 UTC
Holding comps update off for the moment, until the packages get in F15 repos.

Comment 8 Fedora Update System 2011-02-23 20:28:30 UTC
gnome-disk-utility-2.91.6-4.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-disk-utility'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-disk-utility-2.91.6-4.fc15

Comment 9 Tomáš Bžatek 2011-02-25 10:51:11 UTC
So the downfall of this change is that gnome-disk-utility-nautilus is not getting installed automatically on system upgrade. We can't do that from g-d-u side now and I hate to add hard dep in nautilus.

I wish we had meta packages like every other normal distribution.

Comment 10 Christoph Wickert 2011-02-25 11:16:43 UTC
Conditionals from comps are not taken into account on an upgrade, are they?

Comment 11 Tomáš Bžatek 2011-02-25 11:59:10 UTC
(In reply to comment #10)
> Conditionals from comps are not taken into account on an upgrade, are they?

No, they're not, comps are not in effect during upgrade.

Comment 12 Rex Dieter 2011-02-25 12:56:25 UTC
In the past, I've handled upgrade cases like this:

foo-1-1

then it gets split into foo and foo-bar, where

foo-bar-1-2 includes:
Obsoletes: foo < 1-2
Requires: foo = %{version}-%{release}

Comment 13 Fedora Update System 2011-03-05 02:48:06 UTC
gnome-disk-utility-2.91.6-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Kevin Kofler 2011-03-05 03:59:51 UTC
FYI, I applied the comps patch from comment #4:
http://git.fedorahosted.org/git/?p=comps.git;a=commit;h=29f8aa25394fa5979ef74a80a219caccb558ef71

Comment 15 Tomáš Bžatek 2011-03-14 13:10:46 UTC
(In reply to comment #14)
> FYI, I applied the comps patch from comment #4:
> http://git.fedorahosted.org/git/?p=comps.git;a=commit;h=29f8aa25394fa5979ef74a80a219caccb558ef71

Thanks! I've gone for the trick Rex described, resulting in gnome-disk-utility-2.91.6-5 update.

Comment 16 Fedora Update System 2011-03-14 13:20:07 UTC
gnome-disk-utility-2.91.6-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-disk-utility-2.91.6-5.fc15

Comment 17 Fedora Update System 2011-03-19 05:46:50 UTC
gnome-disk-utility-2.91.6-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.